> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the stake accounts associated to a validator.

> This endpoint returns all distinct stake accounts associated to a validator over a period of time when they were actively delegated.



## OpenAPI

````yaml get /v1/solana/validators/{validator_id}/delegators
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/solana/validators/{validator_id}/delegators:
    get:
      tags:
        - Solana Metadata
      summary: Get the stake accounts associated to a validator.
      description: >-
        This endpoint returns all distinct stake accounts associated to a
        validator over a period of time when they were actively delegated.
      operationId: >-
        validator_stake_accounts_mapping_v1_solana_validators__validator_id__delegators_get
      parameters:
        - name: validator_id
          in: path
          required: true
          schema:
            type: string
            title: Validator Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 15
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: fromDate
          in: query
          required: true
          schema:
            type: string
            format: date
            description: Start date
            examples:
              - '2025-01-01'
            title: Fromdate
          description: Start date
        - name: toDate
          in: query
          required: true
          schema:
            type: string
            format: date
            description: End date
            examples:
              - '2025-01-02'
            title: Todate
          description: End date
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__13
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__13:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            properties:
              stakeAccount:
                type: string
                title: Stakeaccount
              slot:
                type: integer
                minimum: 0
                title: Slot
              blockTime:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Blocktime
              voteAccount:
                type: string
                title: Voteaccount
              stakeAuthority:
                type: string
                title: Stakeauthority
              withdrawAuthority:
                type: string
                title: Withdrawauthority
            type: object
            required:
              - stakeAccount
              - slot
              - blockTime
              - voteAccount
              - stakeAuthority
              - withdrawAuthority
            title: SolanaValidatorStakeAccountMappings
            examples:
              - blockTime: 1733215355
                slot: 305117412
                stakeAccount: 121MbtmgpteS68NaBnVp7HmwJLuSC73oyJy3hcX1Yn33
                stakeAuthority: 13Tp4PXTyUbbVbJptMkKNtWhwgkaRch2nMaGYnvLV29o
                voteAccount: 1Dadio3JRvpEjY6iSmXmhbGy9RiU8Nxh2GmoVbNusbE
                withdrawAuthority: 13Tp4PXTyUbbVbJptMkKNtWhwgkaRch2nMaGYnvLV29o
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1SolanaValidatorStakeAccountMappings
      examples:
        - next: >-
            https://api.rated.network//v1/solana/validators/{validator_id}/delegators?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/solana/validators/{validator_id}/delegators?limit=10&offset=10
          results:
            - - blockTime: 1733215355
                slot: 305117412
                stakeAccount: 121MbtmgpteS68NaBnVp7HmwJLuSC73oyJy3hcX1Yn33
                stakeAuthority: 13Tp4PXTyUbbVbJptMkKNtWhwgkaRch2nMaGYnvLV29o
                voteAccount: 1Dadio3JRvpEjY6iSmXmhbGy9RiU8Nxh2GmoVbNusbE
                withdrawAuthority: 13Tp4PXTyUbbVbJptMkKNtWhwgkaRch2nMaGYnvLV29o
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````